summaryrefslogtreecommitdiff
path: root/tests/help-version
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-11-20 08:08:24 +0000
committerJim Meyering <jim@meyering.net>2003-11-20 08:08:24 +0000
commit3831de1f4cb8ab78bea5fb7a3e051933cba2b119 (patch)
treede7507a4ed60199166ea7f75a1be29f55e2c9bb5 /tests/help-version
parente2fac76db9371902cc0adbdebfbbfdc2c36b251c (diff)
downloadcoreutils-3831de1f4cb8ab78bea5fb7a3e051933cba2b119.tar.xz
Ensure that the bug-reporting address is
included in the --help output for every program.
Diffstat (limited to 'tests/help-version')
-rwxr-xr-xtests/help-version5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/help-version b/tests/help-version
index c5c4d86a9..67e77ad27 100755
--- a/tests/help-version
+++ b/tests/help-version
@@ -54,9 +54,12 @@ for lang in C fr da; do
test $i = install && i=ginstall
# Make sure they exit successfully, under normal conditions.
- ../src/$i --help >/dev/null || fail=1
+ ../src/$i --help > h-$i || fail=1
../src/$i --version >/dev/null || fail=1
+ # Make sure they mention the bug-reporting address in --help output.
+ grep "$PACKAGE_BUGREPORT" h-$i > /dev/null || fail=1
+
# Make sure they fail upon `disk full' error.
if test -w /dev/full && test -c /dev/full; then
../src/$i --help >/dev/full 2>/dev/null && fail=1